@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@300;400;700;900&family=Noto+Serif+TC:wght@300;400;600&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Dela+Gothic+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Handjet:wght@100;400;700&family=Jost:wght@300;400;700;900&display=swap');



@font-face {
  font-family: 'sackersgothicstd';
  src: url('../fonts/sackersgothicstd_light.woff') format("woff"),
       url('../fonts/sackersgothicstd_light.ttf') format("truetype"),
       url('../fonts/sackersgothicstd_light.eot') format("embedded-opentype");
  
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'sackersgothicstd';
  src: url('../fonts/sackersgothicstd_heavy.woff') format("woff"),
       url('../fonts/sackersgothicstd_heavy.ttf') format("truetype"),
       url('../fonts/sackersgothicstd_heavy.eot') format("embedded-opentype");
  
  font-weight: bold;
  font-style: normal;
}



::selection {
	background: var(--Blue);
	color: var(--Orange);
}

* {
	margin: 0;
	padding: 0;
	border: 0;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

html.lenis {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: hidden;
}

.lenis.lenis-scrolling iframe {
  pointer-events: none;
}


body {
	margin: 0;

	--White: #fff;
	--Black: #000;
	--lightGray:#e2e2e4;
	--darkGray:#323232;
	--Orange:#ff792c;
	--Blue:#013dbd;
	--lightOrange:#d0b5a1;
	--OtoB:linear-gradient(315deg, rgba(0,103,255,1) 0%, rgba(24,81,133,1) 30%, rgba(255,128,48,1) 91%, rgba(255,191,135,1) 100%);
	--BtoO:linear-gradient(133deg, rgba(0,103,255,1) 0%, rgba(24,81,133,1) 30%, rgba(255,128,48,1) 91%, rgba(255,191,135,1) 100%); 
	--GtoO:linear-gradient(131deg, rgba(200,183,167,1) 0%, rgba(251,138,68,1) 88%);
	--BtoG:linear-gradient(117deg, rgba(13,104,194,1) 0%, rgba(206,178,156,1) 71%);
	--Normal: 'Jost','Noto Sans TC', sans-serif;
	--Bold: 'Dela Gothic One','GTW','Noto Sans TC', sans-serif;
	--Thin: 'sackersgothicstd','GTW','Noto Sans TC', sans-serif;

	width: 100vw;
	height: auto;
  	position: relative;
  	overflow: hidden;

	color:var(--Black);
	background:url(../img/bg.jpg) repeat-y center center;
	background-size: cover;
	background-attachment: fixed;

	font-family:var(--Normal);
	font-size: 16px;

	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.orange{
	color: var(--Orange);
}
.blue{
	color: var(--Blue);
}
.big{
	font-size: 1.5em;
}
.small{
	font-size: .6em;
}
.bold{
	font-weight: bold;
}
.uppercase{
	text-transform: uppercase;
}
.normal{
	font-family: var(--Normal);
	font-weight: 900;
}
main{
	width: 100vw;
	height: auto;
  	position: relative;
  	overflow-x: hidden;
}
section {
  width: 100vw;
  overflow-x: hidden;
  position: relative;
  z-index: 0;
  padding: 0;
  margin: 0;
  white-space: normal;
  line-height: 0;
}

p{
	line-height: 1.5em;
}
footer{
	width: 100vw;
	height: 300px;
	background:url(../img/bg2.jpg) no-repeat center center;
    background-size: cover;
	display: flex;
	justify-content: center;
	align-items: center;
	align-content: center;
	flex-direction: column;
	position: fixed;
	bottom: -300px;
	left: 0;
	z-index: -1;
	color: var(--White);
	font-weight: bold;
	text-align: center;
	line-height: 1.2em;
	transition: 1s;
}
footer.is-inview{
	bottom: 0px;
	left: 0;
	z-index: 0;
	transition: 1s;

}
.contactInfo{
	width: 80%;
	display: flex;
	flex-direction: row;
	margin-top: 10px;
	text-transform: uppercase;
	text-align: left;
	align-items: baseline;
}
.contactInfo a{
	color: var(--White);
}
.icon{
	width: 40px;
	text-align: center;
	font-size: 20px;
}
.contactInfo:first-child{
	margin-top: -3%;
}
.copy{
	width: 80%;
	text-align: right;
}
section .content{
	width: calc(100vw - 120px);
	margin-left: 60px;
}
.mobile {
  display: none !important;
}
.w1024{
	width: 90%;
	max-width: 1024px;
	margin: 0 auto;
}
.btn{
	display: block;
	width: 180px;
	height: 40px;
	color: var(--White);
	background: transparent;
	border: 1px solid var(--White);
	text-align: center;
	line-height: 40px;
	font-weight: bold;
	text-decoration: none;
	letter-spacing: 3px;
	font-size: 16px;
	transition: .3s
}
.btn:hover{
	background: var(--White);
	color: var(--Blue);
	transition: .3s
}
.btn:hover.splitting .char {
  color:var(--Red);
  animation: slide-in 1.5s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  animation-delay: calc(60ms * var(--char-index));
}
.backTop{
	width: 60px;
	height: 60px;
	position: fixed;
	bottom: 150px;
	right: 10%;
	z-index: 1;
	text-transform: uppercase;
	border: 1px solid var(--White);
	text-align: center;
	display: flex;
	justify-content: center;
	align-items: center;
	align-content: center;
	flex-wrap: wrap;
	cursor: pointer;
	font-size: 26px;
	color: var(--White); 
	transition: .3s;
	opacity: 0;
}
.backTop:hover{
	background: var(--White);
	color: var(--Blue);  
	transition: .3s;
} 

.backTop.is-inview{
	opacity: 1;
	transition: .3s;
}
.scroll{
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    color: var(--Black);

    position: fixed;
    left: 17px;
    bottom: 60px;
    z-index: 12;

    transition: .3s;
}
.scroll.is-inview{
	opacity: 0;
	transition: .3s;
}
#scroll{
    width: 25px;
    height: auto;
    fill: var(--Black);
}
svg #dot{
    animation: scroll ease 1.5s infinite;
}
@keyframes scroll {
    0% {
        transform: translateY(0);
    }
    30% {
        transform: translateY(100px);
    }
}
.scrollText{
    writing-mode: vertical-lr;
    margin-top: 10px;
    font-size: 12px;
}



/*////RWD////*/
@media screen and (max-width:1660px) {

}
@media screen and (max-width:1440px) {
  
}
@media screen and (max-width:1366px) {
	
}
@media screen and (max-width:1280px) {

}
@media (orientation:portrait) and (max-height: 1180px) {
	body{
		background:url(../img/bg02.jpg) repeat-y center center;
		background-size: contain;
		background-attachment: inherit;
	}
  	footer{
		height: calc(40vh - 150px);
	}
}
@media screen and (max-width:1024px) {

	
}

@media (orientation:portrait) and (max-height: 1024px) {

}
@media screen and (max-width:480px) {

	.mobile{
		display: block !important;
	}
	.desktop{
	  display: none !important;
	}
	section {
	  overflow-x:initial;
	}
	section .content{
		width: 100vw;
		margin-left: 0;
	}
	footer{
		height: 25vh;
	}
	.footerContent{
		height: calc(25vh - 150px);
	}
	.footerBG{
		height: 150px;
		line-height: 1em;
		font-size: 12px;
	}
	.mainTitle{
		height: auto;
		line-height: 1em;
		padding: 30px 20px;
		font-size: 8vw;
	}
	.mask{
 		top: -50px;
	}
	.backTop {
	    bottom: 165px;
	    right: 3%;
	    border: 1px solid var(--Orange);
	    color: var(--Orange);
	}
	.backTop:hover {
	    background: var(--Orange);
	    color: var(--White);
	}
  	.scrollText {
    	font-size: 10px;
	}

	.scroll {
	    left: 15px;
	    bottom: 20px;
	}
	.contactInfo {
    	width: 90%;
	}
	.contactInfo .icon{
		line-height: 1em;
	}
	.contactInfo:first-child {
    	margin-top: 0 !important; 
	}
	.copy {
		margin-top: 10px;
	}

}
/*Iphone 10*/
@media (orientation: portrait) and (max-height: 812px) {
}
@media (orientation: portrait) and (max-height: 736px) {
	footer{
		height: calc(40vh - 150px);
	}
}
@media (orientation: portrait) and (max-height: 667px) {
	footer{
		height: calc(40vh - 130px);
	}
}
@media screen and (max-width: 360px) {
}
@media screen and (max-width: 320px) {
}